# SmartPlug AWOX

## Presentation

Fondée en 2003, la société AwoX est un pure-player des technologies et des objets connectés dédiés à l’univers du Smart Home (Maison intelligente). Le groupe est un acteur majeur de l’éclairage connecté, avec la plus large gamme d’ampoules LED intelligentes et d’accessoires connectés pour la maison, et de l’audio connecté multi-room, ces deux univers constituant les segments les plus dynamiques du marché du Smart Home.
Soutenue par Innovacom dès 2005, AwoX fut en 2014 la première société sur les objets connectés côtée en Bourse en Europe.

[AWOX](https://play-lh.googleusercontent.com/EEnSfuFX9gIVBCiI8lwxkJFgvo7Zv_-imTmbdIsEu6hvIVoPMkQdBTr1C01_4wbUisEc)

## Logiciel

Le script ecrit en Python avec la librairie Bleak permet d'allumer ou d'eteindre une prise commande en bluetooth. Cela fonctionne sous MacOS (devrait fonctionner sur autres systemes) avec les prises SMP-B16-FR et SMP-B16-GR.

## Installation de l'environnement

Installation de la librairie Bluetooth Bleak
```
python3 -m venv venv
source ./venv/bin/activate
pip install bleak
```

## Lancement de l'application

Scanner les appareils

```
user % source venv/bin/activate
user % python3 smartplug.py scan
[DEBUG] Starting Bluetooth device scan... (5 seconds)
Device Name         MAC Address
----------------------------------------
SMP-B16-GR          EADD44B9-E19E-50A6-CED1-FB458857E3E5
```

Allumer une prise

```
user % source venv/bin/activate
user % python3 smartplug.py EADD44B9-E19E-50A6-CED1-FB458857E3E5 on
[DEBUG] Turning on the smart plug...
[DEBUG] Connecting to EADD44B9-E19E-50A6-CED1-FB458857E3E5
[ERROR] Device with address EADD44B9-E19E-50A6-CED1-FB458857E3E5 not found.
```

Eteindre une prise
```
user % source venv/bin/activate
user % python3 smartplug.py EADD44B9-E19E-50A6-CED1-FB458857E3E5 off
[DEBUG] Turning off the smart plug...
[DEBUG] Connecting to EADD44B9-E19E-50A6-CED1-FB458857E3E5
[ERROR] Device with address EADD44B9-E19E-50A6-CED1-FB458857E3E5 not found.
```
